GNU bug report logs - #48025
28.0.50; Add an invocation option to inhibit native-compilation functionality

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Phil Sainty <psainty@HIDDEN>; dated Mon, 26 Apr 2021 05:53:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 48025 <at> debbugs.gnu.org:


Received: (at 48025) by debbugs.gnu.org; 6 May 2021 15:19:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 06 11:19:51 2021
Received: from localhost ([127.0.0.1]:38038 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lefn5-0001mc-KM
	for submit <at> debbugs.gnu.org; Thu, 06 May 2021 11:19:51 -0400
Received: from mx.sdf.org ([205.166.94.24]:64397)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1lefn3-0001mW-IH
 for 48025 <at> debbugs.gnu.org; Thu, 06 May 2021 11:19:50 -0400
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 146FJlh9014663
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Thu, 6 May 2021 15:19:47 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#48025: 28.0.50; Add an invocation option to inhibit
 native-compilation functionality
References: <421d2e18-e74c-8e0c-6a49-b6e23376eb14@HIDDEN>
 <83o8e1jlj4.fsf@HIDDEN> <xjfwnsp5e7k.fsf@HIDDEN>
 <99e449c1-c40c-d83f-701e-9648f788f4e3@HIDDEN>
 <83h7jrj1fm.fsf@HIDDEN> <xjfsg3ayz9h.fsf@HIDDEN>
 <835z05dwk3.fsf@HIDDEN> <xjfh7jpxis2.fsf@HIDDEN>
 <8335v9dtcy.fsf@HIDDEN> <83zgxhcedx.fsf@HIDDEN>
 <xjf8s51xgi3.fsf@HIDDEN> <83y2d1ccwe.fsf@HIDDEN>
Date: Thu, 06 May 2021 15:19:47 +0000
In-Reply-To: <83y2d1ccwe.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 29 Apr
 2021 18:45:53 +0300")
Message-ID: <xjftunfsxd8.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48025
Cc: psainty@HIDDEN, 48025 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Andrea Corallo <akrl@HIDDEN>
>> Cc: psainty@HIDDEN, 48025 <at> debbugs.gnu.org
>> Date: Thu, 29 Apr 2021 15:22:28 +0000
>> 
>> Okay I'd just wait a bit for some other opinion/suggestion then I'll
>> take care of this.
>
> Sure, there's no rush.

Should be done as of fbbcbed10e, hopefully I've done it with no errors
(works for me here).

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48025; Package emacs. Full text available.

Message received at 48025 <at> debbugs.gnu.org:


Received: (at 48025) by debbugs.gnu.org; 29 Apr 2021 15:46:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 29 11:46:14 2021
Received: from localhost ([127.0.0.1]:56647 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lc8rm-0001rt-Lr
	for submit <at> debbugs.gnu.org; Thu, 29 Apr 2021 11:46:14 -0400
Received: from eggs.gnu.org ([209.51.188.92]:57920)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lc8rj-0001re-7t
 for 48025 <at> debbugs.gnu.org; Thu, 29 Apr 2021 11:46:13 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:44544)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lc8rc-0004iw-Ak; Thu, 29 Apr 2021 11:46:04 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:1280
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lc8rb-0003ci-Fn; Thu, 29 Apr 2021 11:46:04 -0400
Date: Thu, 29 Apr 2021 18:45:53 +0300
Message-Id: <83y2d1ccwe.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
In-Reply-To: <xjf8s51xgi3.fsf@HIDDEN> (message from Andrea Corallo on Thu, 29
 Apr 2021 15:22:28 +0000)
Subject: Re: bug#48025: 28.0.50; Add an invocation option to inhibit
 native-compilation functionality
References: <421d2e18-e74c-8e0c-6a49-b6e23376eb14@HIDDEN>
 <83o8e1jlj4.fsf@HIDDEN> <xjfwnsp5e7k.fsf@HIDDEN>
 <99e449c1-c40c-d83f-701e-9648f788f4e3@HIDDEN>
 <83h7jrj1fm.fsf@HIDDEN> <xjfsg3ayz9h.fsf@HIDDEN>
 <835z05dwk3.fsf@HIDDEN> <xjfh7jpxis2.fsf@HIDDEN>
 <8335v9dtcy.fsf@HIDDEN> <83zgxhcedx.fsf@HIDDEN> <xjf8s51xgi3.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48025
Cc: psainty@HIDDEN, 48025 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Andrea Corallo <akrl@HIDDEN>
> Cc: psainty@HIDDEN, 48025 <at> debbugs.gnu.org
> Date: Thu, 29 Apr 2021 15:22:28 +0000
> 
> Okay I'd just wait a bit for some other opinion/suggestion then I'll
> take care of this.

Sure, there's no rush.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48025; Package emacs. Full text available.

Message received at 48025 <at> debbugs.gnu.org:


Received: (at 48025) by debbugs.gnu.org; 29 Apr 2021 15:22:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 29 11:22:33 2021
Received: from localhost ([127.0.0.1]:56626 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lc8Ur-0001JJ-1b
	for submit <at> debbugs.gnu.org; Thu, 29 Apr 2021 11:22:33 -0400
Received: from mx.sdf.org ([205.166.94.24]:49515)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1lc8Up-0001J9-K0
 for 48025 <at> debbugs.gnu.org; Thu, 29 Apr 2021 11:22:32 -0400
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 13TFMSnZ012108
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Thu, 29 Apr 2021 15:22:28 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#48025: 28.0.50; Add an invocation option to inhibit
 native-compilation functionality
References: <421d2e18-e74c-8e0c-6a49-b6e23376eb14@HIDDEN>
 <83o8e1jlj4.fsf@HIDDEN> <xjfwnsp5e7k.fsf@HIDDEN>
 <99e449c1-c40c-d83f-701e-9648f788f4e3@HIDDEN>
 <83h7jrj1fm.fsf@HIDDEN> <xjfsg3ayz9h.fsf@HIDDEN>
 <835z05dwk3.fsf@HIDDEN> <xjfh7jpxis2.fsf@HIDDEN>
 <8335v9dtcy.fsf@HIDDEN> <83zgxhcedx.fsf@HIDDEN>
Date: Thu, 29 Apr 2021 15:22:28 +0000
In-Reply-To: <83zgxhcedx.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 29 Apr
 2021 18:13:46 +0300")
Message-ID: <xjf8s51xgi3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48025
Cc: psainty@HIDDEN, 48025 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> Date: Thu, 29 Apr 2021 18:05:01 +0300
>> From: Eli Zaretskii <eliz@HIDDEN>
>> Cc: psainty@HIDDEN, 48025 <at> debbugs.gnu.org
>> 
>> > >  comp-limple-mode
>> > >  comp-speed
>> > >  comp-debug
>> > >  comp-verbose
>> > >  comp-always-compile
>> > >  comp-bootstrap-deny-list
>> > >  comp-never-optimize-functions
>> > >  comp-async-jobs-number
>> > >  comp-async-cu-done-functions
>> > >  comp-async-all-done-hook
>> > >  comp-async-env-modifier-form
>> > >  comp-async-report-warnings-errors
>> > >  comp-async-query-on-exit
>> > >  comp-native-driver-options
>> > >  comp-warning-on-missing-source
>> > 
>> > Thanks, should the renaming be comp-* to native-* ?
>> 
>> I think they all should begin with native-comp- and
>> comp-native-driver-options should become native-comp-driver-options.
>> Also, I'd prefer renaming comp-async-jobs-number to
>> native-comp-number-of-async-jobs.
>
> And one more variable to rename:
>
>   comp-eln-load-path

Yeah was going to suggest it :)

Okay I'd just wait a bit for some other opinion/suggestion then I'll
take care of this.

Thanks

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48025; Package emacs. Full text available.

Message received at 48025 <at> debbugs.gnu.org:


Received: (at 48025) by debbugs.gnu.org; 29 Apr 2021 15:14:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 29 11:14:05 2021
Received: from localhost ([127.0.0.1]:56616 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lc8Me-00016m-VL
	for submit <at> debbugs.gnu.org; Thu, 29 Apr 2021 11:14:05 -0400
Received: from eggs.gnu.org ([209.51.188.92]:50154)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lc8Ma-000168-SJ
 for 48025 <at> debbugs.gnu.org; Thu, 29 Apr 2021 11:14:03 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:44066)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lc8MU-0006m2-V6; Thu, 29 Apr 2021 11:13:54 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3298
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lc8MT-000561-QT; Thu, 29 Apr 2021 11:13:54 -0400
Date: Thu, 29 Apr 2021 18:13:46 +0300
Message-Id: <83zgxhcedx.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: akrl@HIDDEN
In-Reply-To: <8335v9dtcy.fsf@HIDDEN> (message from Eli Zaretskii on Thu, 29
 Apr 2021 18:05:01 +0300)
Subject: Re: bug#48025: 28.0.50;
 Add an invocation option to inhibit native-compilation functionality
References: <421d2e18-e74c-8e0c-6a49-b6e23376eb14@HIDDEN>
 <83o8e1jlj4.fsf@HIDDEN> <xjfwnsp5e7k.fsf@HIDDEN>
 <99e449c1-c40c-d83f-701e-9648f788f4e3@HIDDEN>
 <83h7jrj1fm.fsf@HIDDEN> <xjfsg3ayz9h.fsf@HIDDEN>
 <835z05dwk3.fsf@HIDDEN> <xjfh7jpxis2.fsf@HIDDEN> <8335v9dtcy.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48025
Cc: psainty@HIDDEN, 48025 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Thu, 29 Apr 2021 18:05:01 +0300
> From: Eli Zaretskii <eliz@HIDDEN>
> Cc: psainty@HIDDEN, 48025 <at> debbugs.gnu.org
> 
> > >  comp-limple-mode
> > >  comp-speed
> > >  comp-debug
> > >  comp-verbose
> > >  comp-always-compile
> > >  comp-bootstrap-deny-list
> > >  comp-never-optimize-functions
> > >  comp-async-jobs-number
> > >  comp-async-cu-done-functions
> > >  comp-async-all-done-hook
> > >  comp-async-env-modifier-form
> > >  comp-async-report-warnings-errors
> > >  comp-async-query-on-exit
> > >  comp-native-driver-options
> > >  comp-warning-on-missing-source
> > 
> > Thanks, should the renaming be comp-* to native-* ?
> 
> I think they all should begin with native-comp- and
> comp-native-driver-options should become native-comp-driver-options.
> Also, I'd prefer renaming comp-async-jobs-number to
> native-comp-number-of-async-jobs.

And one more variable to rename:

  comp-eln-load-path




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48025; Package emacs. Full text available.

Message received at 48025 <at> debbugs.gnu.org:


Received: (at 48025) by debbugs.gnu.org; 29 Apr 2021 15:05:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 29 11:05:19 2021
Received: from localhost ([127.0.0.1]:56612 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lc8EA-0000sZ-S5
	for submit <at> debbugs.gnu.org; Thu, 29 Apr 2021 11:05:19 -0400
Received: from eggs.gnu.org ([209.51.188.92]:47754)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lc8E8-0000sK-IM
 for 48025 <at> debbugs.gnu.org; Thu, 29 Apr 2021 11:05:17 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:43924)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lc8E3-0001t4-4W; Thu, 29 Apr 2021 11:05:11 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2762
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lc8E2-0004AH-6D; Thu, 29 Apr 2021 11:05:10 -0400
Date: Thu, 29 Apr 2021 18:05:01 +0300
Message-Id: <8335v9dtcy.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
In-Reply-To: <xjfh7jpxis2.fsf@HIDDEN> (message from Andrea Corallo on Thu, 29
 Apr 2021 14:33:17 +0000)
Subject: Re: bug#48025: 28.0.50; Add an invocation option to inhibit
 native-compilation functionality
References: <421d2e18-e74c-8e0c-6a49-b6e23376eb14@HIDDEN>
 <83o8e1jlj4.fsf@HIDDEN> <xjfwnsp5e7k.fsf@HIDDEN>
 <99e449c1-c40c-d83f-701e-9648f788f4e3@HIDDEN>
 <83h7jrj1fm.fsf@HIDDEN> <xjfsg3ayz9h.fsf@HIDDEN>
 <835z05dwk3.fsf@HIDDEN> <xjfh7jpxis2.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48025
Cc: psainty@HIDDEN, 48025 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Andrea Corallo <akrl@HIDDEN>
> Cc: psainty@HIDDEN, 48025 <at> debbugs.gnu.org
> Date: Thu, 29 Apr 2021 14:33:17 +0000
> 
> >  comp-limple-mode
> >  comp-speed
> >  comp-debug
> >  comp-verbose
> >  comp-always-compile
> >  comp-bootstrap-deny-list
> >  comp-never-optimize-functions
> >  comp-async-jobs-number
> >  comp-async-cu-done-functions
> >  comp-async-all-done-hook
> >  comp-async-env-modifier-form
> >  comp-async-report-warnings-errors
> >  comp-async-query-on-exit
> >  comp-native-driver-options
> >  comp-warning-on-missing-source
> 
> Thanks, should the renaming be comp-* to native-* ?

I think they all should begin with native-comp- and
comp-native-driver-options should become native-comp-driver-options.
Also, I'd prefer renaming comp-async-jobs-number to
native-comp-number-of-async-jobs.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48025; Package emacs. Full text available.

Message received at 48025 <at> debbugs.gnu.org:


Received: (at 48025) by debbugs.gnu.org; 29 Apr 2021 14:33:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 29 10:33:21 2021
Received: from localhost ([127.0.0.1]:56574 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lc7jE-00006o-Qu
	for submit <at> debbugs.gnu.org; Thu, 29 Apr 2021 10:33:21 -0400
Received: from mx.sdf.org ([205.166.94.24]:55957)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1lc7jC-00006g-Qw
 for 48025 <at> debbugs.gnu.org; Thu, 29 Apr 2021 10:33:19 -0400
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 13TEXHt9001615
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Thu, 29 Apr 2021 14:33:18 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#48025: 28.0.50; Add an invocation option to inhibit
 native-compilation functionality
References: <421d2e18-e74c-8e0c-6a49-b6e23376eb14@HIDDEN>
 <83o8e1jlj4.fsf@HIDDEN> <xjfwnsp5e7k.fsf@HIDDEN>
 <99e449c1-c40c-d83f-701e-9648f788f4e3@HIDDEN>
 <83h7jrj1fm.fsf@HIDDEN> <xjfsg3ayz9h.fsf@HIDDEN>
 <835z05dwk3.fsf@HIDDEN>
Date: Thu, 29 Apr 2021 14:33:17 +0000
In-Reply-To: <835z05dwk3.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 29 Apr
 2021 16:55:56 +0300")
Message-ID: <xjfh7jpxis2.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48025
Cc: psainty@HIDDEN, 48025 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Andrea Corallo <akrl@HIDDEN>
>> Cc: Phil Sainty <psainty@HIDDEN>, 48025 <at> debbugs.gnu.org
>> Date: Wed, 28 Apr 2021 19:39:38 +0000
>> 
>> Eli Zaretskii <eliz@HIDDEN> writes:
>> 
>> >> Could we rename any such variables so that everything to do with
>> >> native compilation includes the word "native"?
>> >
>> > Yes, I think it's a good idea.  Perhaps also the commands in comp.el
>> > and even some non-interactive functions?
>> 
>> I'll be happy to rename these functions if we come-up with a list.
>
> Here's a list I came up with:
>
>  comp-limple-mode
>  comp-speed
>  comp-debug
>  comp-verbose
>  comp-always-compile
>  comp-bootstrap-deny-list
>  comp-never-optimize-functions
>  comp-async-jobs-number
>  comp-async-cu-done-functions
>  comp-async-all-done-hook
>  comp-async-env-modifier-form
>  comp-async-report-warnings-errors
>  comp-async-query-on-exit
>  comp-native-driver-options
>  comp-warning-on-missing-source

Thanks, should the renaming be comp-* to native-* ?

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48025; Package emacs. Full text available.

Message received at 48025 <at> debbugs.gnu.org:


Received: (at 48025) by debbugs.gnu.org; 29 Apr 2021 13:56:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 29 09:56:16 2021
Received: from localhost ([127.0.0.1]:56547 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lc79L-0007e0-P4
	for submit <at> debbugs.gnu.org; Thu, 29 Apr 2021 09:56:16 -0400
Received: from eggs.gnu.org ([209.51.188.92]:58950)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lc79J-0007dt-CQ
 for 48025 <at> debbugs.gnu.org; Thu, 29 Apr 2021 09:56:14 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:42732)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lc79D-0002du-AG; Thu, 29 Apr 2021 09:56:07 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2263
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lc79C-0001vV-Qi; Thu, 29 Apr 2021 09:56:07 -0400
Date: Thu, 29 Apr 2021 16:55:56 +0300
Message-Id: <835z05dwk3.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
In-Reply-To: <xjfsg3ayz9h.fsf@HIDDEN> (message from Andrea Corallo on Wed, 28
 Apr 2021 19:39:38 +0000)
Subject: Re: bug#48025: 28.0.50; Add an invocation option to inhibit
 native-compilation functionality
References: <421d2e18-e74c-8e0c-6a49-b6e23376eb14@HIDDEN>
 <83o8e1jlj4.fsf@HIDDEN> <xjfwnsp5e7k.fsf@HIDDEN>
 <99e449c1-c40c-d83f-701e-9648f788f4e3@HIDDEN>
 <83h7jrj1fm.fsf@HIDDEN> <xjfsg3ayz9h.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48025
Cc: psainty@HIDDEN, 48025 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Andrea Corallo <akrl@HIDDEN>
> Cc: Phil Sainty <psainty@HIDDEN>, 48025 <at> debbugs.gnu.org
> Date: Wed, 28 Apr 2021 19:39:38 +0000
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> >> Could we rename any such variables so that everything to do with
> >> native compilation includes the word "native"?
> >
> > Yes, I think it's a good idea.  Perhaps also the commands in comp.el
> > and even some non-interactive functions?
> 
> I'll be happy to rename these functions if we come-up with a list.

Here's a list I came up with:

 comp-limple-mode
 comp-speed
 comp-debug
 comp-verbose
 comp-always-compile
 comp-bootstrap-deny-list
 comp-never-optimize-functions
 comp-async-jobs-number
 comp-async-cu-done-functions
 comp-async-all-done-hook
 comp-async-env-modifier-form
 comp-async-report-warnings-errors
 comp-async-query-on-exit
 comp-native-driver-options
 comp-warning-on-missing-source




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48025; Package emacs. Full text available.

Message received at 48025 <at> debbugs.gnu.org:


Received: (at 48025) by debbugs.gnu.org; 28 Apr 2021 19:39:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 28 15:39:46 2021
Received: from localhost ([127.0.0.1]:54124 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lbq2E-0006ye-1H
	for submit <at> debbugs.gnu.org; Wed, 28 Apr 2021 15:39:46 -0400
Received: from mx.sdf.org ([205.166.94.24]:54750)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1lbq2B-0006yU-7h
 for 48025 <at> debbugs.gnu.org; Wed, 28 Apr 2021 15:39:44 -0400
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 13SJdcoW020401
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Wed, 28 Apr 2021 19:39:39 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#48025: 28.0.50; Add an invocation option to inhibit
 native-compilation functionality
References: <421d2e18-e74c-8e0c-6a49-b6e23376eb14@HIDDEN>
 <83o8e1jlj4.fsf@HIDDEN> <xjfwnsp5e7k.fsf@HIDDEN>
 <99e449c1-c40c-d83f-701e-9648f788f4e3@HIDDEN>
 <83h7jrj1fm.fsf@HIDDEN>
Date: Wed, 28 Apr 2021 19:39:38 +0000
In-Reply-To: <83h7jrj1fm.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 27 Apr
 2021 16:34:53 +0300")
Message-ID: <xjfsg3ayz9h.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48025
Cc: Phil Sainty <psainty@HIDDEN>, 48025 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> Cc: 48025 <at> debbugs.gnu.org
>> From: Phil Sainty <psainty@HIDDEN>
>> Date: Tue, 27 Apr 2021 16:28:24 +1200
>> 
>> >> But frankly, I would hesitate to complicate Emacs even for the latter
>> >> possibility.  What you ask for doesn't seem to be a user-level
>> >> feature, it is mainly important for Emacs developers, and those can
>> >> always build 2 separate binaries (e.g., I already did).  Building a
>> >> differently-configured Emacs, even from the same Git repository, is so
>> >> easy that I don't really see a justification for a feature like you
>> >> describe.
>> 
>> I guess time will tell.  My feeling was that if end users encounter
>> native-comp bugs that are not trivial for the maintainers to reproduce
>> (e.g. some collection of third-party packages is involved), then it
>> might be super helpful to be able to ask them to test with native-comp
>> disabled, to confirm whether or not that is a factor.  As many users
>> will, in future, be running a native-comp Emacs which has been pre-
>> packaged for their OS, they will not easily be able to perform such a
>> test without such a feature.
>
> I agree that we should probably revisit the issue after we have more
> experience with native-compilation.
>
>> > - inhibit the automatic native compilation of new code with
>> >  `comp-deferred-compilation'.
>> 
>> This, OTOH, doesn't use the "native" keyword at all.
>> 
>> Could we rename any such variables so that everything to do with
>> native compilation includes the word "native"?
>
> Yes, I think it's a good idea.  Perhaps also the commands in comp.el
> and even some non-interactive functions?

I'll be happy to rename these functions if we come-up with a list.

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48025; Package emacs. Full text available.

Message received at 48025 <at> debbugs.gnu.org:


Received: (at 48025) by debbugs.gnu.org; 27 Apr 2021 13:35:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 27 09:35:23 2021
Received: from localhost ([127.0.0.1]:48316 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lbNs2-0006ID-Vw
	for submit <at> debbugs.gnu.org; Tue, 27 Apr 2021 09:35:23 -0400
Received: from eggs.gnu.org ([209.51.188.92]:47360)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lbNs1-0006Hx-5y
 for 48025 <at> debbugs.gnu.org; Tue, 27 Apr 2021 09:35:21 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:50277)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lbNru-0005Vv-KF; Tue, 27 Apr 2021 09:35:14 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2361
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lbNrm-0007t8-V8; Tue, 27 Apr 2021 09:35:13 -0400
Date: Tue, 27 Apr 2021 16:34:53 +0300
Message-Id: <83h7jrj1fm.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Phil Sainty <psainty@HIDDEN>
In-Reply-To: <99e449c1-c40c-d83f-701e-9648f788f4e3@HIDDEN> (message from
 Phil Sainty on Tue, 27 Apr 2021 16:28:24 +1200)
Subject: Re: bug#48025: 28.0.50; Add an invocation option to inhibit
 native-compilation functionality
References: <421d2e18-e74c-8e0c-6a49-b6e23376eb14@HIDDEN>
 <83o8e1jlj4.fsf@HIDDEN> <xjfwnsp5e7k.fsf@HIDDEN>
 <99e449c1-c40c-d83f-701e-9648f788f4e3@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48025
Cc: 48025 <at> debbugs.gnu.org, akrl@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: 48025 <at> debbugs.gnu.org
> From: Phil Sainty <psainty@HIDDEN>
> Date: Tue, 27 Apr 2021 16:28:24 +1200
> 
> >> But frankly, I would hesitate to complicate Emacs even for the latter
> >> possibility.  What you ask for doesn't seem to be a user-level
> >> feature, it is mainly important for Emacs developers, and those can
> >> always build 2 separate binaries (e.g., I already did).  Building a
> >> differently-configured Emacs, even from the same Git repository, is so
> >> easy that I don't really see a justification for a feature like you
> >> describe.
> 
> I guess time will tell.  My feeling was that if end users encounter
> native-comp bugs that are not trivial for the maintainers to reproduce
> (e.g. some collection of third-party packages is involved), then it
> might be super helpful to be able to ask them to test with native-comp
> disabled, to confirm whether or not that is a factor.  As many users
> will, in future, be running a native-comp Emacs which has been pre-
> packaged for their OS, they will not easily be able to perform such a
> test without such a feature.

I agree that we should probably revisit the issue after we have more
experience with native-compilation.

> > - inhibit the automatic native compilation of new code with
> >  `comp-deferred-compilation'.
> 
> This, OTOH, doesn't use the "native" keyword at all.
> 
> Could we rename any such variables so that everything to do with
> native compilation includes the word "native"?

Yes, I think it's a good idea.  Perhaps also the commands in comp.el
and even some non-interactive functions?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48025; Package emacs. Full text available.

Message received at 48025 <at> debbugs.gnu.org:


Received: (at 48025) by debbugs.gnu.org; 27 Apr 2021 04:28:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 27 00:28:31 2021
Received: from localhost ([127.0.0.1]:47729 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lbFKo-0006iE-WD
	for submit <at> debbugs.gnu.org; Tue, 27 Apr 2021 00:28:31 -0400
Received: from smtp-1.orcon.net.nz ([60.234.4.34]:39927)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <psainty@HIDDEN>) id 1lbFKm-0006i3-M7
 for 48025 <at> debbugs.gnu.org; Tue, 27 Apr 2021 00:28:29 -0400
Received: from [101.53.216.162] (port=35234 helo=[192.168.20.103])
 by smtp-1.orcon.net.nz with esmtpa (Exim 4.90_1)
 (envelope-from <psainty@HIDDEN>)
 id 1lbFKi-0000qB-L6; Tue, 27 Apr 2021 16:28:25 +1200
Subject: Re: bug#48025: 28.0.50; Add an invocation option to inhibit
 native-compilation functionality
To: Andrea Corallo <akrl@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
References: <421d2e18-e74c-8e0c-6a49-b6e23376eb14@HIDDEN>
 <83o8e1jlj4.fsf@HIDDEN> <xjfwnsp5e7k.fsf@HIDDEN>
From: Phil Sainty <psainty@HIDDEN>
Message-ID: <99e449c1-c40c-d83f-701e-9648f788f4e3@HIDDEN>
Date: Tue, 27 Apr 2021 16:28:24 +1200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.10.0
MIME-Version: 1.0
In-Reply-To: <xjfwnsp5e7k.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8
Content-Language: en-GB
Content-Transfer-Encoding: 7bit
X-GeoIP: NZ
X-Spam_score: -2.9
X-Spam_score_int: -28
X-Spam_bar: --
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48025
Cc: 48025 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> Eli Zaretskii <eliz@HIDDEN> writes:
>> We could perhaps provide a special value of --temacs= switch to
>> temacs, so that the same temacs executable could be dumped into 2
>> different *.pdmp files, one with natively-compiled preloaded stuff,
>> the other with byte-compiled stuff; then users could use the existing
>> option --dump-file= to start Emacs with the non-standard pdumper file
>> (they will also need to set comp-deferred-compilation to nil to
>> prevent any run-time native-compilations once Emacs starts).

That sounds like a good solution (and maybe one which could be wrapped
up under a new option, if the --with-native-compilation build process
automatically generated both *.pdmp files, and Emacs knows what they
both are).


>> But frankly, I would hesitate to complicate Emacs even for the latter
>> possibility.  What you ask for doesn't seem to be a user-level
>> feature, it is mainly important for Emacs developers, and those can
>> always build 2 separate binaries (e.g., I already did).  Building a
>> differently-configured Emacs, even from the same Git repository, is so
>> easy that I don't really see a justification for a feature like you
>> describe.

I guess time will tell.  My feeling was that if end users encounter
native-comp bugs that are not trivial for the maintainers to reproduce
(e.g. some collection of third-party packages is involved), then it
might be super helpful to be able to ask them to test with native-comp
disabled, to confirm whether or not that is a factor.  As many users
will, in future, be running a native-comp Emacs which has been pre-
packaged for their OS, they will not easily be able to perform such a
test without such a feature.

It would definitely be a "nice to have".  However as it's evidentially
non-trivial to support this feature, I don't know whether the effort
would actually prove worthwhile.


>> (As for reproducing problems easily: it isn't hard to run the
>> interpreted or byte-compiled Lisp, if you can identify the relevant
>> Lisp files involved in the problem: just load them manually.

I did think of that, but my feeling was that it's just not the same
thing as inhibiting the native-compilation entirely.  But as an existing
alternative which would probably do the job in most cases, it's hard to
argue with.


On 27/04/21 2:10 am, Andrea Corallo wrote:
> Other than I can mention some knobs we already have that might partially
> help here:
> 
> - prevent .eln from being loaded in place of bytecode with
>   `load-no-native'.

Yes, that's good to know about.  I see now that "apropos-variable native"
is very useful (my bad for not thinking of that earlier).

That var should definitely be noted in the manual once we have some in-
built docs for this; but in the meantime it might be very helpful to
update https://akrl.sdf.org/gccemacs.html with a collection of the ways
that users can tweak/test this feature?


> - inhibit the automatic native compilation of new code with
>  `comp-deferred-compilation'.

This, OTOH, doesn't use the "native" keyword at all.

Could we rename any such variables so that everything to do with
native compilation includes the word "native"?  That's a dramatically
more specific term than "compilation", so it would seem good if it
was an easy way to find/identify the native-comp options.


-Phil




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48025; Package emacs. Full text available.

Message received at 48025 <at> debbugs.gnu.org:


Received: (at 48025) by debbugs.gnu.org; 26 Apr 2021 14:10:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 26 10:10:33 2021
Received: from localhost ([127.0.0.1]:46672 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lb1wX-0003vw-5i
	for submit <at> debbugs.gnu.org; Mon, 26 Apr 2021 10:10:33 -0400
Received: from mx.sdf.org ([205.166.94.24]:49745)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1lb1wT-0003vh-1E
 for 48025 <at> debbugs.gnu.org; Mon, 26 Apr 2021 10:10:31 -0400
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 13QEAN92011922
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Mon, 26 Apr 2021 14:10:25 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#48025: 28.0.50; Add an invocation option to inhibit
 native-compilation functionality
References: <421d2e18-e74c-8e0c-6a49-b6e23376eb14@HIDDEN>
 <83o8e1jlj4.fsf@HIDDEN>
Date: Mon, 26 Apr 2021 14:10:23 +0000
In-Reply-To: <83o8e1jlj4.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 26 Apr
 2021 15:08:31 +0300")
Message-ID: <xjfwnsp5e7k.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48025
Cc: Phil Sainty <psainty@HIDDEN>, 48025 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Phil Sainty <psainty@HIDDEN>
>> Date: Mon, 26 Apr 2021 17:52:52 +1200
>> Cc: Andrea Corallo <akrl@HIDDEN>
>> 
>> Now that the native-compilation feature is merged, it would be very
>> useful to be able to build Emacs --with-native-compilation but be
>> able to choose to inhibit that functionality at start time via a
>> command-line option such as 'emacs --no-native-compilation', which
>> would cause Emacs to load/execute only .el and .elc files.
>> 
>> This will enable users to easily compare functionality with and
>> without native-compilation, so that native-compilation bugs can be
>> more easily identified and reproduced without requiring people to
>> maintain more than one build of Emacs in order to test how the
>> traditional interpreters behave.
>> 
>> I'm not sure if/how this ties in with the portable dumper.  Perhaps
>> there are .eln files included in the dump?  If so, perhaps the dump
>> would need to include both the .elc and the .eln code, and choose
>> which to use based on the new option.
>
> Andrea will correct me, but I think this is not trivial to implement,
> not even close.  Indeed, the contents of the pdumper file is different
> in the two cases, and I see no easy way of having both byte-compiled
> and native-compiled stuff live together in the same dump (they define
> the same functions, remember?).
>
> We could perhaps provide a special value of --temacs= switch to
> temacs, so that the same temacs executable could be dumped into 2
> different *.pdmp files, one with natively-compiled preloaded stuff,
> the other with byte-compiled stuff; then users could use the existing
> option --dump-file= to start Emacs with the non-standard pdumper file
> (they will also need to set comp-deferred-compilation to nil to
> prevent any run-time native-compilations once Emacs starts).
>
> But frankly, I would hesitate to complicate Emacs even for the latter
> possibility.  What you ask for doesn't seem to be a user-level
> feature, it is mainly important for Emacs developers, and those can
> always build 2 separate binaries (e.g., I already did).  Building a
> differently-configured Emacs, even from the same Git repository, is so
> easy that I don't really see a justification for a feature like you
> describe.
>
> (As for reproducing problems easily: it isn't hard to run the
> interpreted or byte-compiled Lisp, if you can identify the relevant
> Lisp files involved in the problem: just load them manually.  Andrea,
> am I missing something?)

No you are not, once we bootstrap and dump a native compiled Emacs
there's no way we can undone it and get the equivalent one with only
bytecode.

Other than I can mention some knobs we already have that might partially
help here:

- inibith the automatic native compilation of new code with
 `comp-deferred-compilation'.

- prevent .eln from being loaded in place of bytecode with
  `load-no-native'.

Thanks

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48025; Package emacs. Full text available.

Message received at 48025 <at> debbugs.gnu.org:


Received: (at 48025) by debbugs.gnu.org; 26 Apr 2021 12:09:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 26 08:09:07 2021
Received: from localhost ([127.0.0.1]:44808 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lb031-0000XV-7g
	for submit <at> debbugs.gnu.org; Mon, 26 Apr 2021 08:09:07 -0400
Received: from eggs.gnu.org ([209.51.188.92]:36144)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lb02y-0000X0-LQ
 for 48025 <at> debbugs.gnu.org; Mon, 26 Apr 2021 08:09:05 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:54495)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lb02r-0002hU-5i; Mon, 26 Apr 2021 08:08:58 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3875
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lb02k-0003jO-1k; Mon, 26 Apr 2021 08:08:55 -0400
Date: Mon, 26 Apr 2021 15:08:31 +0300
Message-Id: <83o8e1jlj4.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Phil Sainty <psainty@HIDDEN>
In-Reply-To: <421d2e18-e74c-8e0c-6a49-b6e23376eb14@HIDDEN> (message from
 Phil Sainty on Mon, 26 Apr 2021 17:52:52 +1200)
Subject: Re: bug#48025: 28.0.50;
 Add an invocation option to inhibit native-compilation functionality
References: <421d2e18-e74c-8e0c-6a49-b6e23376eb14@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48025
Cc: 48025 <at> debbugs.gnu.org, akrl@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Phil Sainty <psainty@HIDDEN>
> Date: Mon, 26 Apr 2021 17:52:52 +1200
> Cc: Andrea Corallo <akrl@HIDDEN>
> 
> Now that the native-compilation feature is merged, it would be very
> useful to be able to build Emacs --with-native-compilation but be
> able to choose to inhibit that functionality at start time via a
> command-line option such as 'emacs --no-native-compilation', which
> would cause Emacs to load/execute only .el and .elc files.
> 
> This will enable users to easily compare functionality with and
> without native-compilation, so that native-compilation bugs can be
> more easily identified and reproduced without requiring people to
> maintain more than one build of Emacs in order to test how the
> traditional interpreters behave.
> 
> I'm not sure if/how this ties in with the portable dumper.  Perhaps
> there are .eln files included in the dump?  If so, perhaps the dump
> would need to include both the .elc and the .eln code, and choose
> which to use based on the new option.

Andrea will correct me, but I think this is not trivial to implement,
not even close.  Indeed, the contents of the pdumper file is different
in the two cases, and I see no easy way of having both byte-compiled
and native-compiled stuff live together in the same dump (they define
the same functions, remember?).

We could perhaps provide a special value of --temacs= switch to
temacs, so that the same temacs executable could be dumped into 2
different *.pdmp files, one with natively-compiled preloaded stuff,
the other with byte-compiled stuff; then users could use the existing
option --dump-file= to start Emacs with the non-standard pdumper file
(they will also need to set comp-deferred-compilation to nil to
prevent any run-time native-compilations once Emacs starts).

But frankly, I would hesitate to complicate Emacs even for the latter
possibility.  What you ask for doesn't seem to be a user-level
feature, it is mainly important for Emacs developers, and those can
always build 2 separate binaries (e.g., I already did).  Building a
differently-configured Emacs, even from the same Git repository, is so
easy that I don't really see a justification for a feature like you
describe.

(As for reproducing problems easily: it isn't hard to run the
interpreted or byte-compiled Lisp, if you can identify the relevant
Lisp files involved in the problem: just load them manually.  Andrea,
am I missing something?)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48025; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 26 Apr 2021 05:53:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 26 01:53:01 2021
Received: from localhost ([127.0.0.1]:44181 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lauB3-0005a9-23
	for submit <at> debbugs.gnu.org; Mon, 26 Apr 2021 01:53:01 -0400
Received: from lists.gnu.org ([209.51.188.17]:55074)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <psainty@HIDDEN>) id 1lauB1-0005a2-Tm
 for submit <at> debbugs.gnu.org; Mon, 26 Apr 2021 01:53:00 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:56238)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <psainty@HIDDEN>)
 id 1lauB1-0000j5-LR
 for bug-gnu-emacs@HIDDEN; Mon, 26 Apr 2021 01:52:59 -0400
Received: from smtp-1.orcon.net.nz ([60.234.4.34]:48877)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <psainty@HIDDEN>)
 id 1lauB0-0002QM-4H
 for bug-gnu-emacs@HIDDEN; Mon, 26 Apr 2021 01:52:59 -0400
Received: from [101.53.216.162] (port=61146 helo=[192.168.20.103])
 by smtp-1.orcon.net.nz with esmtpa (Exim 4.90_1)
 (envelope-from <psainty@HIDDEN>)
 id 1lauAu-0008NV-UK; Mon, 26 Apr 2021 17:52:53 +1200
To: bug-gnu-emacs@HIDDEN
From: Phil Sainty <psainty@HIDDEN>
Subject: 28.0.50; Add an invocation option to inhibit native-compilation
 functionality
Message-ID: <421d2e18-e74c-8e0c-6a49-b6e23376eb14@HIDDEN>
Date: Mon, 26 Apr 2021 17:52:52 +1200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.10.0
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Language: en-GB
Content-Transfer-Encoding: 7bit
X-GeoIP: NZ
Received-SPF: pass client-ip=60.234.4.34; envelope-from=psainty@HIDDEN;
 helo=smtp-1.orcon.net.nz
X-Spam_score_int: -25
X-Spam_score: -2.6
X-Spam_bar: --
X-Spam_report: (-2.6 / 5.0 requ) BAYES_00=-1.9, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_LOW=-0.7, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.7 (-)
X-Debbugs-Envelope-To: submit
Cc: Andrea Corallo <akrl@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.7 (--)

Now that the native-compilation feature is merged, it would be very
useful to be able to build Emacs --with-native-compilation but be
able to choose to inhibit that functionality at start time via a
command-line option such as 'emacs --no-native-compilation', which
would cause Emacs to load/execute only .el and .elc files.

This will enable users to easily compare functionality with and
without native-compilation, so that native-compilation bugs can be
more easily identified and reproduced without requiring people to
maintain more than one build of Emacs in order to test how the
traditional interpreters behave.

I'm not sure if/how this ties in with the portable dumper.  Perhaps
there are .eln files included in the dump?  If so, perhaps the dump
would need to include both the .elc and the .eln code, and choose
which to use based on the new option.


-Phil




Acknowledgement sent to Phil Sainty <psainty@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#48025; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 6 May 2021 15:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.